Subject: Re: bug#17361: Tramp does not save history across sessions.

From: Michael Albinus <[email-masked]>
Date: Mon, 11 Oct 2021 17:41:15 +0200

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

> (That was 7.5 years ago.)
>
> What followed was a discussion about how Tramp should use 'add-function'
> instead of 'set-process-sentinel', IIUC.  Is this still an issue, or has
> the situation changed since?

Tramp still uses set-process-sentinel. I will change it to use
add-function instead, and I will run my regression tests.

However, we still need to adapt the set-process-sentinel calls elsewhere
in the code base. And of course, this will have to go to master, which
means I have to cut a new Tramp branch.

And the same game for set-process-filter, right?

Best regards, Michael.